summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-08-26 22:52:40 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-08-27 11:35:27 +0200
commit40dc5c2b5d1d11521311279c624640590bc02970 (patch)
tree769abe0d7c6c917603dee851336dbb8cee107648 /app-office/libreoffice
parentdev-python/futures: stable 3.1.1 for ia64, bug #629034 (diff)
downloadgentoo-40dc5c2b5d1d11521311279c624640590bc02970.tar.gz
gentoo-40dc5c2b5d1d11521311279c624640590bc02970.tar.bz2
gentoo-40dc5c2b5d1d11521311279c624640590bc02970.zip
app-office/libreoffice: http->https, simplify MODULES, fix install, deps
Gentoo-bug: 628138 Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'app-office/libreoffice')
-rw-r--r--app-office/libreoffice/Manifest1
-rw-r--r--app-office/libreoffice/libreoffice-5.4.9999.ebuild43
-rw-r--r--app-office/libreoffice/libreoffice-9999.ebuild45
3 files changed, 33 insertions, 56 deletions
diff --git a/app-office/libreoffice/Manifest b/app-office/libreoffice/Manifest
index 91cd6ac5dcd..b8ed7088cd5 100644
--- a/app-office/libreoffice/Manifest
+++ b/app-office/libreoffice/Manifest
@@ -6,6 +6,7 @@ DIST 798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip 1521926 SHA256 1fb458d6aab0
DIST 86b1daaa438f5a7bea9a52d7b9799ac0-xmlsec1-1.2.23.tar.gz 1794694 SHA256 41d463d16c9894cd3317098d027c038039c6d896b9cbb9bad9c4e29959e10e9f SHA512 20b0c0ba517c764fcd32165254ae6dcdda8fb72ca3279dbfcf42d899e91d380b78d9be3b1c3d32910eaad5544a4fc51218e32579b10e6b6639338a7bd8b1ddc5 WHIRLPOOL f4d783d01346860ed2cf1d15e692e70e65034bee120c853cf7692358799a6e3339a1bb022f4d72ee4364adddd43766aa01770070a0081d1adcc588e4f84786f9
DIST a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip 23150 SHA256 75823776fb51a9c526af904f1503a7afaaab900fba83eda64f8a41073724c870 SHA512 2d3835f7ac356805025cafedcad97faa48d0f5da386e6ac7b7451030059df8e2fdb0861ade07a576ebf9fb5b88a973585ab0437944b06aac9289d6898ba8586a WHIRLPOOL 60b98d9af2c83c0cf12a5a60ba30957d335b8b967cac07971e1edbc787b9caecd4b3c5bb480e8b38fe8109c1cf74439ebafae130c976182c2c15399f38f5d28c
DIST ce12af00283eb90d9281956524250d6e-xmlsec1-1.2.20.tar.gz 1769329 SHA256 3221593ca50f362b546a0888a1431ad24be1470f96b2469c0e0df5e1c55e7305 SHA512 2f8d473916abf9822367edbe857fc2e12dc9858d12e790d689d787e439904bd6a452bf631043aa66e7502457ab0815a473657f58fca17a213e2490f5655e5ae5 WHIRLPOOL 29ddaef03d46fe08aa2dba200be755817f8e77de3bbbb3ed86dae65e891239f3051f79fdfadec6ae56023197e32e1c44a94385a1ce306081f3bf94be6226f8c7
+DIST libepubgen-0.0.1.tar.bz2 376956 SHA256 eea910b042526ed52f7ab9292b7fa31fca32f9e042285818074ff33664db4fa2 SHA512 1665e5f4708b4c296b9075fa7ab250b3571ebcb42e51c4d195f63eb1969b9014e7490cc2a80dda608eb21e0b127cf7eb8911ed3e5aaa46a89dcad8748618f62a WHIRLPOOL 5b2a7e3878f87e5ca1c353f9ca82daf01946699eb974d3f4092157c916117716ba4ba4969c05da02ad8f08fdd4324dae585fefe332814e004b40cd56b8ef0df1
DIST libreoffice-5.2.7.2.tar.xz 184589464 SHA256 106154a72a329605166a49bfa31c6d1cc03133d600ad0ef340b45e4e2a92891d SHA512 f7414a0d0d654d1d9bd6c5524ff2acf2f21c544dd6ed79f4f2d22f79db46264f95f7ca8dd482027f7a573d2d491ea6c8d9875b262d5e2b917dfddb749a3ea95f WHIRLPOOL 28d7f9531190a16bdea14c5dcc710ef593085fddca1b4d7d0cd6107d5f93e4b94a1ae035a626376ab7abfcd926a263b1437de1e52011bb96aa6d87b046a38da8
DIST libreoffice-5.3.4.2.tar.xz 188762904 SHA256 1d75393fd8b02b1e2e2e001bc0262359c7452e29a0fff35cb152717246f02379 SHA512 ac3b0a0615577faf6c2529b7ec888fd7969d32f38d8b83a3747535bc408e8d2ef2e724f5b1840ae79a219bb855584be87f10ab26ef101afe04dd15d224e6ebc0 WHIRLPOOL 4b314f2df7ee8bd80049cc6ad04e65df11a46a20853f0a285389cf2c72006dd122f1826ae0080c7efc41faa251b77a48f839f345451d993b48bc673d6e450aed
DIST libreoffice-5.4.0.3.tar.xz 192134108 SHA256 17b29d05349b0db15f606f2d630e84c0969c89af6bd06aad8d75a074ee2add94 SHA512 53d081c937acd48c17a9a1f04c55e2e7a420765251c4b507aaf52467b5c2538683c810ba0559598c24ddb6475ee2f5eebb9a1bf97fd805bb72e61b84fb6638f9 WHIRLPOOL e8cd3068a9cdd43028757044b08f2d5628f408136966a15ce58f50217e555cf0613128cc6c3f9ecde28dcab0fdd0a2d2c907573d1d73d319b98eebb61e0296ea
diff --git a/app-office/libreoffice/libreoffice-5.4.9999.ebuild b/app-office/libreoffice/libreoffice-5.4.9999.ebuild
index 779eb66a494..f21643f11e4 100644
--- a/app-office/libreoffice/libreoffice-5.4.9999.ebuild
+++ b/app-office/libreoffice/libreoffice-5.4.9999.ebuild
@@ -24,7 +24,7 @@ BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
# PATCHSET="${P}-patchset-01.tar.xz"
[[ ${PV} == *9999* ]] && SCM_ECLASS="git-r3"
-inherit multiprocessing autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic versionator xdg-utils qmake-utils ${SCM_ECLASS}
+inherit multiprocessing autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 toolchain-funcs flag-o-matic versionator xdg-utils qmake-utils ${SCM_ECLASS}
unset SCM_ECLASS
DESCRIPTION="A full office productivity suite"
@@ -35,18 +35,11 @@ SRC_URI="branding? ( https://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
# Split modules following git/tarballs
# Core MUST be first!
# Help is used for the image generator
-MODULES="core help"
# Only release has the tarballs
if [[ ${PV} != *9999* ]]; then
for i in ${DEV_URI}; do
- for mod in ${MODULES}; do
- if [[ ${mod} == core ]]; then
- SRC_URI+=" ${i}/${P}.tar.xz"
- else
- SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
- fi
- done
- unset mod
+ SRC_URI+=" ${i}/${P}.tar.xz"
+ SRC_URI+=" ${i}/${PN}-help-${PV}.tar.xz"
done
unset i
fi
@@ -183,7 +176,7 @@ RDEPEND="${COMMON_DEPEND}
media-fonts/dejavu
media-fonts/liberation-fonts
media-fonts/libertine
- || ( x11-misc/xdg-utils kde-plasma/kde-cli-tools $(add_kdeapps_dep kioclient) )
+ || ( x11-misc/xdg-utils kde-plasma/kde-cli-tools )
java? ( >=virtual/jre-1.6 )
vlc? ( media-video/vlc )
"
@@ -293,29 +286,23 @@ pkg_setup() {
}
src_unpack() {
- local mod
-
[[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
use branding && unpack "${BRANDING}"
if [[ ${PV} != *9999* ]]; then
unpack "${P}.tar.xz"
- for mod in ${MODULES}; do
- [[ ${mod} == core ]] && continue
- unpack "${PN}-${mod}-${PV}.tar.xz"
- done
+ unpack "${PN}-help-${PV}.tar.xz"
else
- local base_uri branch checkout mypv
- base_uri="https://anongit.freedesktop.org"
- for mod in ${MODULES}; do
- branch="master"
- mypv=${PV/.9999}
- [[ ${mypv} != ${PV} ]] && branch="${PN}-${mypv/./-}"
- git-r3_fetch "${base_uri}/${PN}/${mod}" "refs/heads/${branch}"
- [[ ${mod} != core ]] && checkout="${S}/${mod}"
- [[ ${mod} == help ]] && checkout="helpcontent2" # doesn't match on help
- git-r3_checkout "${base_uri}/${PN}/${mod}" ${checkout}
- done
+ local base_uri branch mypv
+ base_uri="https://anongit.freedesktop.org/git"
+ branch="master"
+ mypv=${PV/.9999}
+ [[ ${mypv} != ${PV} ]] && branch="${PN}-${mypv/./-}"
+ git-r3_fetch "${base_uri}/${PN}/core" "refs/heads/${branch}"
+ git-r3_checkout "${base_uri}/${PN}/core"
+
+ git-r3_fetch "${base_uri}/${PN}/help" "refs/heads/master"
+ git-r3_checkout "${base_uri}/${PN}/help" "helpcontent2" # doesn't match on help
fi
}
diff --git a/app-office/libreoffice/libreoffice-9999.ebuild b/app-office/libreoffice/libreoffice-9999.ebuild
index 29426fea497..dd53bce04bb 100644
--- a/app-office/libreoffice/libreoffice-9999.ebuild
+++ b/app-office/libreoffice/libreoffice-9999.ebuild
@@ -24,7 +24,7 @@ BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
# PATCHSET="${P}-patchset-01.tar.xz"
[[ ${PV} == *9999* ]] && SCM_ECLASS="git-r3"
-inherit multiprocessing autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic versionator xdg-utils qmake-utils ${SCM_ECLASS}
+inherit multiprocessing autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 toolchain-funcs flag-o-matic versionator xdg-utils qmake-utils ${SCM_ECLASS}
unset SCM_ECLASS
DESCRIPTION="A full office productivity suite"
@@ -35,18 +35,11 @@ SRC_URI="branding? ( https://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
# Split modules following git/tarballs
# Core MUST be first!
# Help is used for the image generator
-MODULES="core help"
# Only release has the tarballs
if [[ ${PV} != *9999* ]]; then
for i in ${DEV_URI}; do
- for mod in ${MODULES}; do
- if [[ ${mod} == core ]]; then
- SRC_URI+=" ${i}/${P}.tar.xz"
- else
- SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
- fi
- done
- unset mod
+ SRC_URI+=" ${i}/${P}.tar.xz"
+ SRC_URI+=" ${i}/${PN}-help-${PV}.tar.xz"
done
unset i
fi
@@ -56,6 +49,7 @@ unset DEV_URI
# These are bundles that can't be removed for now due to huge patchsets.
# If you want them gone, patches are welcome.
ADDONS_SRC=(
+ "${ADDONS_URI}/libepubgen-0.0.1.tar.bz2"
"collada? ( ${ADDONS_URI}/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2 )"
"java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
# no release for 8 years, should we package it?
@@ -183,7 +177,7 @@ RDEPEND="${COMMON_DEPEND}
media-fonts/dejavu
media-fonts/liberation-fonts
media-fonts/libertine
- || ( x11-misc/xdg-utils kde-plasma/kde-cli-tools $(add_kdeapps_dep kioclient) )
+ || ( x11-misc/xdg-utils kde-plasma/kde-cli-tools )
java? ( >=virtual/jre-1.6 )
vlc? ( media-video/vlc )
"
@@ -293,29 +287,23 @@ pkg_setup() {
}
src_unpack() {
- local mod
-
[[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
use branding && unpack "${BRANDING}"
if [[ ${PV} != *9999* ]]; then
unpack "${P}.tar.xz"
- for mod in ${MODULES}; do
- [[ ${mod} == core ]] && continue
- unpack "${PN}-${mod}-${PV}.tar.xz"
- done
+ unpack "${PN}-help-${PV}.tar.xz"
else
- local base_uri branch checkout mypv
- base_uri="https://anongit.freedesktop.org"
- for mod in ${MODULES}; do
- branch="master"
- mypv=${PV/.9999}
- [[ ${mypv} != ${PV} ]] && branch="${PN}-${mypv/./-}"
- git-r3_fetch "${base_uri}/${PN}/${mod}" "refs/heads/${branch}"
- [[ ${mod} != core ]] && checkout="${S}/${mod}"
- [[ ${mod} == help ]] && checkout="helpcontent2" # doesn't match on help
- git-r3_checkout "${base_uri}/${PN}/${mod}" ${checkout}
- done
+ local base_uri branch mypv
+ base_uri="https://anongit.freedesktop.org/git"
+ branch="master"
+ mypv=${PV/.9999}
+ [[ ${mypv} != ${PV} ]] && branch="${PN}-${mypv/./-}"
+ git-r3_fetch "${base_uri}/${PN}/core" "refs/heads/${branch}"
+ git-r3_checkout "${base_uri}/${PN}/core"
+
+ git-r3_fetch "${base_uri}/${PN}/help" "refs/heads/master"
+ git-r3_checkout "${base_uri}/${PN}/help" "helpcontent2" # doesn't match on help
fi
}
@@ -466,6 +454,7 @@ src_configure() {
--without-help \
--with-helppack-integration \
--with-system-gpgmepp \
+ --without-system-libepubgen \
--without-system-sane \
$(use_enable bluetooth sdremote-bluetooth) \
$(use_enable coinmp) \